[Buildroot] [PATCH] package/python-markdown: fix Python version dependency

Gwenhael Goavec-Merou gwenj at trabucayre.com
Wed Mar 25 15:53:09 UTC 2020


Hi,
On Tue, 10 Mar 2020 12:41:01 +0100
yegorslists at googlemail.com wrote:

> From: Yegor Yefremov <yegorslists at googlemail.com>
> 
> The latest version has dropped Python 2 support.
> 
> Fixes:
> http://autobuild.buildroot.net/results/6d1e796f6658accb3eafef265935db5e464638fe
> 
> Signed-off-by: Yegor Yefremov <yegorslists at googlemail.com>
> ---
>  package/python-markdown/Config.in | 4 ++--
>  1 file changed, 2 insertions(+), 2 deletions(-)
> 
> diff --git a/package/python-markdown/Config.in
> b/package/python-markdown/Config.in index 6706684142..454c2729bd 100644
> --- a/package/python-markdown/Config.in
> +++ b/package/python-markdown/Config.in
> @@ -1,8 +1,8 @@
>  config BR2_PACKAGE_PYTHON_MARKDOWN
>  	bool "python-markdown"
> +	depends on BR2_PACKAGE_PYTHON3
>  	# runtime dependency on Python's xml module
> -	select BR2_PACKAGE_PYTHON_PYEXPAT if BR2_PACKAGE_PYTHON
> -	select BR2_PACKAGE_PYTHON3_PYEXPAT if BR2_PACKAGE_PYTHON3
> +	select BR2_PACKAGE_PYTHON3_PYEXPAT
>  	help
>  	  This is a Python implementation of John Gruber's Markdown
>  
> -- 
> 2.17.0
> 

Tested-by: Gwenhael Goavec-Merou <gwenhael.goavec-merou at trabucayre.com>

Gwen


More information about the buildroot mailing list